@echo off

set TOOLS=%SystemDrive%\tools
set SOFTWARE=..\software

echo ####### %0 #######

rem ###################################
rem Windows Defender Exception ...
rem ###################################

echo disabling Windows defender for PATH [ %TOOLS% ] ...
powershell -inputformat none -outputformat none -NonInteractive -Command Add-MpPreference -ExclusionPath %TOOLS%

rem ###################################
rem MAIN loop ( copy .exe files ) ...
rem ###################################

for %%E in (

  bfg.jar
  pageant.exe
  putty.exe
  puttygen.exe
  rufus.exe
  tzedit.exe
  rdp.exe
  anydesk.exe
  superuser.exe
  isodownloader.exe

) do (
  
  if NOT EXIST %SOFTWARE%\%%E (
    echo WARNING: %SOFTWARE%\%%E not found!
  ) else (
    echo copying %%E to %TOOLS% ...
    copy /Y %SOFTWARE%\%%E %TOOLS%
  )

)

echo ####### %0 #######

